Page MenuHomeFreeBSD

Remove support for kernel.tramp and kernel.tramp.gz
ClosedPublic

Authored by imp on Jul 26 2019, 4:50 AM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Apr 10, 12:34 AM
Unknown Object (File)
Tue, Apr 2, 2:01 AM
Unknown Object (File)
Feb 16 2024, 4:35 AM
Unknown Object (File)
Feb 16 2024, 4:35 AM
Unknown Object (File)
Feb 16 2024, 4:35 AM
Unknown Object (File)
Feb 16 2024, 4:35 AM
Unknown Object (File)
Feb 16 2024, 4:19 AM
Unknown Object (File)
Jan 10 2024, 9:04 PM

Details

Summary

Nothing uses these anymore. They were for super small armv4 boards. Today, all
armv5 kernels boot via uboot which has its own compression scheme.

Diff Detail

Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 25512
Build 24130: arc lint + arc unit

Event Timeline

delphij added inline comments.
sys/conf/Makefile.arm
128

Maybe unifdef -UKZIP and have elf_trampoline.c changed too?

sys/conf/Makefile.arm
128

elf_trampoline.c should just be removed. With this change it will no longer be built.

sys/conf/Makefile.arm
91

This reference to KERNPHYSADDR can go too, it doesn't show up in ldscript.arm so the subsitution is a no-op here. The subsitution for KERNVIRTADDR is still vaild though.

This revision is now accepted and ready to land.Jul 26 2019, 11:34 PM
sys/conf/Makefile.arm
128

It looks sys/arm/arm/inckern.S is also no longer used with this removal.

This revision now requires review to proceed.Jul 27 2019, 5:43 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jul 27 2019, 5:24 PM
This revision was automatically updated to reflect the committed changes.